# Generated with MC-Build

# Shop Related Stuff
scoreboard players enable @a ms.playerStats
scoreboard players enable @a ms.shop
scoreboard players reset @a[scores={ms.coins=..9}] ms.buy01
scoreboard players enable @a[scores={ms.coins=10..}] ms.buy01
scoreboard players reset @a[scores={ms.coins=..99}] ms.buy02
scoreboard players enable @a[scores={ms.coins=100..}] ms.buy02
scoreboard players reset @a[scores={ms.coins=..9}] ms.buy03
scoreboard players enable @a[scores={ms.coins=10..}] ms.buy03
scoreboard players enable @a[gamemode=creative] ms.giveLuckyBlock
scoreboard players enable @a[tag=ms.op] ms.giveLuckyBlock
scoreboard players reset @a[gamemode=!creative,tag=!ms.op] ms.giveLuckyBlock
execute as @a[scores={ms.playerStats=1..}] at @s run function main:zzz/0
execute as @a[scores={ms.shop=1..}] at @s run function main:zzz/1
execute as @a[scores={ms.buy01=1..}] at @s run function main:zzz/2
execute as @a[scores={ms.buy02=1..}] at @s run function main:zzz/3
execute as @a[scores={ms.buy03=1..}] at @s run function main:zzz/4
execute as @a[scores={ms.giveLuckyBlock=1..}] at @s run function main:zzz/5
# Lucky Block Scaling Stuff
execute as @a[tag=ms.tiny,scores={ms.death=1..}] at @s run function main:zzz/6
execute as @a[tag=ms.huge,scores={ms.death=1..}] at @s run function main:zzz/7
execute as @a[tag=!ms.huge,tag=!ms.tiny,scores={ms.death=1..}] run scoreboard players set @s ms.death 0
execute as @a[tag=ms.invincible,scores={ms.game=0}] at @s run scoreboard players set @s ms.timer 9999999
# The Timer
execute as @a[scores={ms.timer=1..},tag=!ms.invincible] at @s run scoreboard players remove @s ms.timer 1
# More Shop Related Stuff
execute as @a at @s if items entity @s weapon.mainhand written_book[custom_data={ms.shop:1b}] if entity @s[tag=ms.outdatedShop] run function main:zzz/8
# MicroGold
execute as @a at @s if items entity @s container.* gold_ingot[custom_data={ms.microGold:1b}] run function main:zzz/9
execute as @a at @s if items entity @s player.cursor gold_ingot[custom_data={ms.microGold:1b}] run function main:zzz/10
# Even More Shop Related Stuff
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{ms.shop:1b}}}}] at @s run kill @s
execute as @a at @s if items entity @s player.cursor written_book[custom_data={ms.shop:1b}] run item replace entity @s player.cursor with air
execute as @a at @s if items entity @s player.crafting.0 written_book[custom_data={ms.shop:1b}] run item replace entity @s player.crafting.0 with air
execute as @a at @s if items entity @s player.crafting.1 written_book[custom_data={ms.shop:1b}] run item replace entity @s player.crafting.1 with air
execute as @a at @s if items entity @s player.crafting.2 written_book[custom_data={ms.shop:1b}] run item replace entity @s player.crafting.2 with air
execute as @a at @s if items entity @s player.crafting.3 written_book[custom_data={ms.shop:1b}] run item replace entity @s player.crafting.3 with air
# First Spawn
execute as @a[tag=!ms.loaded] at @s run function main:zzz/11
# XP Linked with Wins
execute as @a[tag=ms.loaded] at @s run function main:getxp
# Timer in the Actionbar Stuff
execute as @a[tag=ms.loaded,tag=!ms.invincible,scores={ms.game=0,ms.timeBarTime=1..,ms.timer=100..}] at @s run scoreboard players remove @s ms.timeBarTime 1
execute as @a[tag=ms.loaded,tag=!ms.invincible,scores={ms.game=0,ms.timeBarTime=..0,ms.timer=100..}] at @s run function main:zzz/12
# The Game System
execute as @a[tag=ms.loaded,scores={ms.timer=..0,ms.game=0}] at @s run function main:zzz/13
# Countdown
execute as @a[scores={ms.game=0,ms.timer=20}] at @s run function main:zzz/56
execute as @a[scores={ms.game=0,ms.timer=40}] at @s run function main:zzz/57
execute as @a[scores={ms.game=0,ms.timer=60}] at @s run function main:zzz/58
# Game 1
execute as @e[type=marker,tag=ms.findItemChest] at @s run execute store result score @s ms.timer run data get block ~ ~ ~ Items
execute as @e[type=marker,tag=ms.findItemChest2] at @s run execute store result score @s ms.timer run data get block ~ ~ ~ Items
execute as @a[scores={ms.game=1,ms.timer=1..}] at @s if predicate main:look_milking_cow if entity @e[tag=ms.milkingCow,distance=3..] run function main:zzz/59
execute as @a[scores={ms.game=1,ms.timer=1..}] at @s if predicate main:look_milking_cow if entity @e[tag=ms.milkingCow,distance=..5] unless predicate main:sneak run function main:zzz/60
execute as @a[scores={ms.game=1,ms.timer=1..,ms.milkHold=0..19}] at @s if predicate main:look_milking_cow if entity @e[tag=ms.milkingCow,distance=..5] if predicate main:sneak run function main:zzz/61
execute as @a[scores={ms.game=1,ms.timer=1..,ms.milkHold=20..39}] at @s if predicate main:look_milking_cow if entity @e[tag=ms.milkingCow,distance=..5] if predicate main:sneak run function main:zzz/62
execute as @a[scores={ms.game=1,ms.timer=1..,ms.milkHold=40..}] at @s run function main:zzz/63
execute as @a[scores={ms.game=1,ms.timer=..0}] at @s run function main:zzz/64
# Game 2-3
execute as @a[scores={ms.game=2..3,ms.timer=1..}] at @s if entity @e[tag=ms.slimeOutline,distance=..5] run function main:zzz/65
execute as @a[scores={ms.game=2,ms.timer=1..}] at @s if entity @s[nbt={Inventory:[{id:"minecraft:paper",components:{"minecraft:custom_data":{ms.takeMe:1b}}}]}] run function main:zzz/66
execute as @a[scores={ms.game=2,ms.timer=..0}] at @s run function main:zzz/68
execute as @a[scores={ms.game=3,ms.timer=1..}] at @s if entity @s[nbt={Inventory:[{id:"minecraft:paper",components:{"minecraft:custom_data":{ms.takeMe:1b}}}]}] run function main:zzz/70
execute as @a[scores={ms.game=3,ms.timer=..0}] at @s run function main:zzz/72
# Game 4
execute as @a[scores={ms.game=4,ms.timer=1..}] at @s if entity @e[type=sheep,tag=ms.shearingSheep,limit=1,sort=nearest,distance=..5,nbt={Sheared:1b}] run function main:zzz/74
execute as @a[scores={ms.game=4,ms.timer=..0}] at @s run function main:zzz/75
# Game 5-6
execute as @e[tag=ms.clickInteraction,type=interaction] at @s if data entity @s interaction run function main:zzz/76
execute as @a[scores={ms.game=5,ms.timer=1..}] at @s if entity @e[tag=ms.clickDiamond,distance=..2] run function main:zzz/81
execute as @a[scores={ms.game=5,ms.timer=..0}] at @s run function main:zzz/83
execute as @a[scores={ms.game=6,ms.timer=1..}] at @s if entity @e[tag=ms.clickDiamond,distance=..2] run function main:zzz/84
execute as @a[scores={ms.game=6,ms.timer=..0}] at @s run function main:zzz/86
# Game 7-8
execute as @a[scores={ms.game=7,ms.timer=1..}] at @s if entity @s[nbt={Inventory:[{id:"minecraft:paper",components:{"minecraft:custom_data":{ms.takeMe:1b}}}]}] run function main:zzz/87
execute as @a[scores={ms.game=7,ms.timer=1..}] at @s if items entity @s player.cursor paper[minecraft:custom_data={ms.takeMe:1b}] run function main:zzz/89
execute as @e[type=marker,tag=ms.findItemChest,tag=ms.findItemChestCorrect] at @s unless score @s ms.timer matches 27 run function main:zzz/91
execute as @a[scores={ms.game=7,ms.timer=..0}] at @s run function main:zzz/92
execute as @a[scores={ms.game=8,ms.timer=1..}] at @s if items entity @s player.cursor paper[minecraft:custom_data={ms.takeMe:1b}] run function main:zzz/94
execute as @a[scores={ms.game=8,ms.timer=1..}] at @s if entity @s[nbt={Inventory:[{id:"minecraft:paper",components:{"minecraft:custom_data":{ms.takeMe:1b}}}]}] run function main:zzz/97
execute as @e[type=marker,tag=ms.findItemChest,tag=!ms.findItemChestCorrect] at @s unless score @s ms.timer matches 27 run function main:zzz/100
execute as @e[type=marker,tag=ms.findItemChest2] at @s unless score @s ms.timer matches 27 run function main:zzz/101
execute as @a at @s unless entity @s[scores={ms.game=7..8}] if entity @e[tag=ms.findItemChest,distance=..5,limit=1,sort=nearest] run tp ^ ^ ^-2
execute as @a[scores={ms.game=8,ms.timer=..0}] at @s run function main:zzz/102
# Game 9-10
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:sprint run function main:zzz/105
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:forward run function main:zzz/106
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:backward run function main:zzz/107
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:left run function main:zzz/108
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:right run function main:zzz/109
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:jump run function main:zzz/110
execute as @a[scores={ms.game=9..10,ms.timer=1..}] at @s if predicate main:sneak run function main:zzz/111
execute as @a[scores={ms.game=9..10,ms.timer=..0}] at @s run function main:zzz/112
# Game 11-12
execute as @e[tag=ms.dontPickUp] at @s if entity @a[scores={ms.game=11,ms.timer=1..},distance=..35] run function main:zzz/113
execute as @a[scores={ms.game=11,ms.timer=..0}] at @s run function main:zzz/114
execute as @a[scores={ms.game=11,ms.timer=1..}] at @s if entity @s[nbt={Inventory:[{id:"minecraft:diamond_block",components:{"minecraft:custom_data":{ms.dontPickUp:1b}}}]}] run function main:zzz/115
execute as @e[tag=ms.dontPickUp2] at @s if entity @a[scores={ms.game=12,ms.timer=1..},distance=..35] run function main:zzz/116
execute as @a[scores={ms.game=12,ms.timer=..0}] at @s run function main:zzz/117
execute as @a[scores={ms.game=12,ms.timer=1..}] at @s if entity @s[nbt={Inventory:[{id:"minecraft:diamond_block",components:{"minecraft:custom_data":{ms.dontPickUp:1b}}}]}] run function main:zzz/118
# Game 13
execute as @a[scores={ms.game=13,ms.timer=1..}] at @s if entity @e[tag=ms.catchingCat,distance=..3] unless predicate main:sneak run function main:zzz/119
execute as @a[scores={ms.game=13,ms.timer=1..}] at @s if entity @e[tag=ms.catchingCat,distance=4..10] run function main:zzz/120
execute as @a[scores={ms.game=13,ms.timer=1..}] at @s if entity @e[tag=ms.catchingCat,distance=..3] if predicate main:sneak run function main:zzz/121
execute as @a[scores={ms.game=13,ms.timer=..0}] at @s run function main:zzz/122
# Game 14
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{ms.snowGolemBlocks:1b}}}}] at @s run function main:zzz/123
execute as @a[scores={ms.game=14,ms.timer=1..}] at @s unless entity @s[nbt={Inventory:[{components:{"minecraft:custom_data":{ms.snowGolemBlocks:1b}}}]}] if entity @e[type=snow_golem,limit=1,sort=nearest,distance=..6] run function main:zzz/124
execute as @a[scores={ms.game=14,ms.timer=..0}] at @s run function main:zzz/125
execute as @a at @s unless entity @s[scores={ms.game=14}] if entity @s[nbt={Inventory:[{components:{"minecraft:custom_data":{ms.snowGolemBlocks:1b}}}]}] run function main:zzz/126
# Game 15
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{ms.ironGolemBlocks:1b}}}}] at @s run function main:zzz/127
execute as @a[scores={ms.game=15,ms.timer=1..}] at @s unless entity @s[nbt={Inventory:[{components:{"minecraft:custom_data":{ms.ironGolemBlocks:1b}}}]}] if entity @e[type=iron_golem,limit=1,sort=nearest,distance=..6] run function main:zzz/128
execute as @a[scores={ms.game=15,ms.timer=..0}] at @s run function main:zzz/129
execute as @a at @s unless entity @s[scores={ms.game=15}] if entity @s[nbt={Inventory:[{components:{"minecraft:custom_data":{ms.ironGolemBlocks:1b}}}]}] run function main:zzz/130
# Game 16
execute as @a[scores={ms.game=16,ms.timer=1..}] at @s unless entity @e[type=spider,limit=3,sort=nearest,distance=..30,tag=ms.spiderHoarde] run function main:zzz/131
execute as @a[scores={ms.game=16,ms.timer=..0}] at @s run function main:zzz/132
execute as @a[scores={ms.game=16,ms.timer=290}] at @s run function main:zzz/133
# Game 17
execute as @a[scores={ms.game=17,ms.timer=1..}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=6..] run function main:zzz/134
execute as @a[scores={ms.game=17,ms.timer=1..,ms.bombActions=..4}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] run function main:zzz/135
execute as @a[scores={ms.game=17,ms.timer=1..,ms.currentBombAction=1}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] if predicate main:forward run function main:zzz/136
execute as @a[scores={ms.game=17,ms.timer=1..,ms.currentBombAction=2}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] if predicate main:backward run function main:zzz/137
execute as @a[scores={ms.game=17,ms.timer=1..,ms.currentBombAction=3}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] if predicate main:left run function main:zzz/138
execute as @a[scores={ms.game=17,ms.timer=1..,ms.currentBombAction=4}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] if predicate main:right run function main:zzz/139
execute as @a[scores={ms.game=17,ms.timer=1..,ms.currentBombAction=5}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] if predicate main:jump run function main:zzz/140
execute as @a[scores={ms.game=17,ms.timer=1..,ms.currentBombAction=6}] at @s if entity @e[tag=ms.defusingBomb,limit=1,distance=..5] if predicate main:sneak run function main:zzz/141
execute as @a[scores={ms.game=17,ms.timer=1..,ms.bombActions=5..}] at @s if entity @e[type=tnt,tag=ms.defusingBomb,limit=1,sort=nearest,distance=..5] run function main:zzz/142
execute as @a[scores={ms.game=17,ms.timer=..0}] at @s run function main:zzz/143
# Game 18
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{ms.placeBlockBlock:1b}}}}] at @s run function main:zzz/145
execute as @a[scores={ms.game=18,ms.timer=1..}] at @s if entity @e[tag=ms.slimeOutline,distance=..5] run function main:zzz/146
execute as @e[tag=ms.blockSpot] at @s if block ~ ~ ~ iron_block if entity @a[scores={ms.game=18,ms.timer=1..},limit=1,distance=..6] run function main:zzz/147
execute as @a[scores={ms.game=18,ms.timer=..0}] at @s run function main:zzz/148
# Game 19-21
execute as @a[scores={ms.game=19..21,ms.timer=1..}] at @s if block ~ ~ ~ water unless block ~ ~-1 ~ #main:walkthrough run function main:zzz/150
execute as @a[scores={ms.game=19..21,ms.timer=1..}] at @s if block ~ ~ ~ air unless block ~ ~-1 ~ #main:walkthrough unless block ~ ~-1 ~ water run function main:zzz/151
# Lucky Block Loop Maker
execute as @e[type=item_frame,tag=ms.luckyBlockFrame] at @s run function main:lucky_block/loop